do
	--- Enumeration of several RGB colors
	local _COLORS = {}
	_COLORS.red = {r = 255, g = 0, b = 0, a = 255}
	_COLORS.green = {r = 0, g = 255, b = 0, a = 255}
	_COLORS.blue = {r = 0, g = 0, b = 255, a = 255}
	_COLORS.white = {r = 255, g = 255, b = 255, a = 255}
	_COLORS.black = {r = 0, g = 0, b = 0, a = 255}
	
	--- Decodes the parameter into an RGB value
	-- @param color: either a string or a table of RGB values
	local function pickColor(color)
		if color == "red" then
			return _COLORS.red
		elseif color == "green" then
			return _COLORS.green
		elseif color == "blue" then
			return _COLORS.blue
		elseif color == "white" then
			return _COLORS.white
		elseif color == "black" then
			return _COLORS.black
		elseif color.r ~= nil and color.g ~= nil and
			color.b ~= nil and color.a ~=nil then
			return color
		else 
			error("bad string or table")
		end
	end
	
	--- The colors namespace/package
	colors = {
		pickColor = pickColor,
	}
	
	return colors
end
