--- The player metatable
local player = {}
player.__index = player
player.__newindex = function() error("can't assign new var") end
player.__metatable = true

--- The player constructor
function createPlayer()
	local p = {
		x = SCREENSIZE / 2,
		y = SCREENSIZE / 2,
		r = 7,
		color = {r=255,g=255,b=255,a=255}
	}
	return setmetatable(p, player)
end

--- Updates the player
-- @param pos: mouse position
function player:update(pos)
	self.x = pos.x
	self.y = pos.y
end

--- Modifies the player/timer/score when the player consumes a food item
-- @param c: string of the food item's color
function player:consume(c)
	if c == "green" then
		timer = timer + 1
		score = score + 10
		self.r = self.r + 1
		self:modifyColor({r=-10,g=0,b=-10})
	elseif c == "red" then
		timer = timer - 0.2
		score = score - 5
		self:modifyColor({r=255,g=255,b=255})
	end
end

--- Modifies the player's color
-- @param cMod: RGB detla values
function player:modifyColor(cMod)
	self.color.r = 
		clamp(self.color.r + cMod.r, 0, 255)
	self.color.g = 
		clamp(self.color.g + cMod.g, 0, 255)
	self.color.b = 
		clamp(self.color.b + cMod.b, 0, 255)
end

--- Draws the player
function player:draw()
	love.graphics.setColor(
		self.color.r,
		self.color.g,
		self.color.b,
		self.color.a)
	love.graphics.circle(
		"fill",
		self.x,
		self.y,
		self.r,
		40)
end
