do
	--- Required libraries/packages
	local playerLib = require "../obj/player.lua"
	local foodLib = require "../obj/food.lua"
	
	--- Loads the playState
	local function load()
		timer = 5
		tSpawn = 0
		gPlayer = createPlayer()
		gPlayerCir = {
			x = gPlayer.x,
			y = gPlayer.y,
			r = gPlayer.r + 3,
		}
		gFood = {}
	end
	
	--- Updates the playState
	-- @param dt: delta time
	-- @param pos: mouse position
	local function update(dt, pos)
		timer = timer - dt
		if timer < 0 then timer = 0 endGame() return end
		gPlayer:update(pos)
		tSpawn = tSpawn + dt
		if tSpawn > 0.2 then
			tSpawn = 0
			table.insert(gFood, createFood(gPlayerCir))
		end
		for k,v in pairs(gFood) do
			if collision(gPlayer, v) then
				gPlayer:consume(v.color.name)
				table.remove(gFood, k)
			end
		end
	end
	
	--- Draws the playState
	local function draw()
		for _,v in pairs(gFood) do
			v:draw()
		end
		gPlayer:draw()
		love.graphics.setColor(255,255,255,255)
		love.graphics.print(string.format("%.2f", timer), 5, 5)
		love.graphics.print("Score: " .. score, 5, 17)
	end
	
	--- The playState namespace/package
	play = {
		load = load,
		update = update,
		draw = draw,
	}
	
	return play
end
